#include <bits/stdc++.h>

using namespace std;

int c[11];

int checkc(int k)
{
	for(int i = 10;i>k;i--)
	{
		if(c[i]>0)
		{
			return i;
		}
	}
	return -1;
}

int main()
{
	int n;
	cin>>n;
	int a[n];
	int nos = 0;
	c[10] = -1;
	for(int i = 0;i<n;i++)
	{
		cin>>a[i];
		c[a[i]]++;
	}
	/*if(n == 2)
	{
		cout<<a[1]<<" "<<a[2];
		return 0;
	}*/
	for(int i = 0;i<n;i++)
	{
		int h = checkc(a[i]);
		if(h > 0)
		{
			for(int j = n-1;j>i;j--)
			{
				if(a[j] = h)
				{
					swap(a[i],a[j]);
					nos++;
					break;
				}
			}
			break;
		}
		c[a[i]]--;
	}
	if(nos == 0)
	{
		swap(a[n-1],a[n-2]);
	}
	for(int i = 0;i<n;i++)
	{
		cout<<a[i]<<" ";
	}
}